Entity Develeoper incompatibilities with dotConnect for Oracle provider and Sqlserver provider on the same machine

Discussion of open issues, suggestions and bugs regarding Entity Developer - ORM modeling and code generation tool
Post Reply
Kiyoshi Kobayashi
Posts: 2
Joined: Mon 19 Jan 2015 18:05

Entity Develeoper incompatibilities with dotConnect for Oracle provider and Sqlserver provider on the same machine

Post by Kiyoshi Kobayashi » Mon 19 Jan 2015 18:19

Hi,

For over four years, we have developed our applications with dotConnect for Oracle and Entity Developer.

Now we also need our applications access the SQLServer database with the same structure of the tables that were created in Oracle.

As the Entity Developer that comes with the dotConnect for oracle package only recognizes the "Devart dotConnect for Oracle Provider", we think of acquiring Entity Developer 5.7 Professional , which recognizes oracle and sqlserver providers.

When I try to install Entity Developer 5.7 Professional Trial, downloaded from http://www.devart.com/entitydeveloper/, gives the message:

"The installer detected an incompatible version of another Devart product.
.....
Entity Developer version 5.7.441.0 is found in your system.
You are trying to install the incompatible 5.7.530.0 version of Entity Developer. "

If I proceed the installation, the integration of Visual Studio 2010 with Entity Developer is lost.

Is there any solution so we can work on the same development machine with Entity Developer with oracle and sqlserver providers?

My problem is similar described in http://forums.devart.com/viewtopic.php?f=32&t=30646

Shalex
Site Admin
Posts: 8240
Joined: Thu 14 Aug 2008 12:44

Re: Entity Develeoper incompatibilities with dotConnect for Oracle provider and Sqlserver provider on the same machine

Post by Shalex » Tue 20 Jan 2015 06:53

Devart products use a common assembly (EntityDeveloper.exe), so it is necessary to install compatible versions. We release our ADO.NET products in a single pack, thus releases from the same date should be compatible:
http://www.devart.com/dotconnect/oracle ... story.html
http://www.devart.com/entitydeveloper/r ... story.html

You can find out your current versions via the
  • Tools > Oracle > About
    Tools > Entity Developer > About
menus of Visual Studio.

Kiyoshi Kobayashi
Posts: 2
Joined: Mon 19 Jan 2015 18:05

Re: Entity Develeoper incompatibilities with dotConnect for Oracle provider and Sqlserver provider on the same machine

Post by Kiyoshi Kobayashi » Tue 20 Jan 2015 12:54

I downloaded and installed the latest releases of products and they worked properly.

Thank you.

Post Reply